<?php

$GLOBALS['message'] = array(

  // Noun
  'user'        => 'User',
  'rule'        => 'Rules',
  'bbs'         => 'BBS',
  'thread'      => 'Thread',
  'file'        => 'File',
  'search'      => 'Search',
  'article'     => 'Article',  
  'password'    => 'Password',
  'old_threads' => 'Old Threads',
  'old_users'   => 'Deactivated Users',  
  'remote-host' => 'Remote Host',
  'range'       => 'Display Range',
  'site'        => 'Website',
  
  'top'         => 'Top',  
  'list'        => 'List',
  'moddate'     => 'Modified Date',
  'name'        => 'Name',
  'introduction'=> 'Introduction',
  'color'       => 'Color Scheme',
  'order'       => 'Order Setting',
    
  'title'       => 'Title',
  'account'     => 'Account',
  'mail'        => 'E-Mail',
  'address'     => 'Address',
  'contents'    => 'Contents',
  'confirmation'=> 'Confirmation',
  'info'        => 'Info',
  'message'     => 'Message',
  'operation'   => 'Manage',

  'yes'         => 'Yes',
  'no'          => 'No',
  
  'genre'     => 'Genre',
  'restriction'     => 'Restriction',
  'folder'    => 'Folder',
  'notification' => 'Notification',
    'cookie' => 'Cookie',
  'group'    => 'Group',
  
  // for BBS or articles
  'bbs-disp_all' => 'Display All',
  'bbs-last'     => 'Latest',
  'bbs-num'      => 'Number',
  
  // for user list
  'count-people'    => 'people',

  // for folder list
  'folder-all-title' => 'All Folders',
  'folder-all-show'  => 'Display All',
  'folder-top-title' => 'Top Folder',

  // for file list
  'dlist-thumbnail'   => 'Thumbnail(s)',
  'dlist-author'      => 'Author',
  'dlist-fsize'       => 'Size',
  'count-files'       => 'file(s)',
  
  // for thread list
  'tlist-articles'  => 'Number of Articles',
  'tlist-owner'     => 'Owner',
  'count-threads'   => 'thread(s)',

  // Verbs displayed on buttons
  'create'      => 'Create',
  'execute'     => 'Execute',
  'index-login' => 'Login',
  'logout'      => 'Logout',
  'reset'       => 'Reset',
  'submit'      => 'Submit',
  'send'        => 'Send',
  'flow'        => 'Send To Top/Bump',
  'relation'    => 'Relate',
  
  // Other verbs
  'go-forward'  => 'Forward',
  'go-back'     => 'Return',
  'confirm'     => 'Confirm',
  'overwrite'   => 'Overwrite',
  'control'     => 'Control',
  
  // adjectives
  'next'        => 'Next',
  'back'        => 'Previous',
  '_name'       => 'Name',
  'belong'      => "'s ",
  'related'     => 'Related',
  'complete'    => 'Complete',

  // texts
  'back2top'     => 'Back to Global Top',
  'bbs-back2bbs' => 'Back to BBS',    
  'bbs-write'    => 'Post to BBS',
  'bbs-omit'     => 'Fields with (*) next to them do not need to be filled in.',
  'welcome'    => 'Welcome to ' . $GLOBALS['index_name'] . '.',

  // for title of user's page
  'index-intro'     => "'s works are exhibited here.",
  'index-title'     => "'s Page.",

  // for toppage, printed in bottom 
  'index-account'   => "'s Account",
  'index-upassword' => "'s Password",
  'index-newuser'   => 'Create New User',

  // for user's operation page
    'admin-user'      => 'User Info',
    'admin-title-top'    => "'s Admin Page",
    'admin-title-thread' => "'s Thread management ",  
    'admin-title-file'   => "'s File management",  
    'admin-title-user'   => "'s Profile management",
    'admin-title-folder' => "'s Folder management,",

    // for operation page
    'op-confirm'           => 'Confirm Operation.',
    'op-complete'          => 'Operation has been completed.',
    'op-error'             => 'Error!',
    
    'is-proceeding' => ' is proceeding.',
    'is-completed' => ' is completed.',
    'is-not-done' => ' was not executed.',
    'is-changed'   => ' was changed.',
    'is-deleted'   => ' was deleted.',
    'is-created'   => ' was created.',

    //error (input related)
    'error-different-pass' => 'The two passwords must be the same.',
    'error-vacant'         => ' has no input or was not selected.',
    'error-too-large'      => ' is too long. Maximum length is : ',
    'error-too-short'      => ' is too short. Minimum length is : ',
    'error-char'           => ' (input value) contains forbidden characters.',
    'error-duration'       => 'Insufficient amount of time lapsed since previous operation. The needed amount of time is, as follows :',
    'error-duration2'      => 'Too much time has passed since previous operation. The time limit is, as follows :',
    'error-input'          => ', (input value) is either wrong or invalid, unchangeable, or a prohibited value.',
    'error-invalid'        => ' is an invalid value.',
    'error-expired'   => '\'s activation period has expired.',
  
    // error (object related)
    'error-no-exists'      => 'The designated object does not exist.',
    'error-no-change'      => 'The input value is the same as existing one.',
    'error-already-exists' => 'The designated object already exists.',
    'error-not-unique'     => 'The designated object is not unique.',  
    'error-unbinded'       => 'Association no longer exists.',
    'error-binded'         => 'This is already associated to others.',
    'error-cant-bind'      => ' cannot be associated.',

    // error (authorization related)
    'error-not-login'      => 'Please log in as the appropriate user.<br /> If you are unable to log in, please change your browser settings to accept cookies.',
    'error-opmode'         => 'Operation mode is set incorrectly.',
    'error-not-authorized' => 'You cannot proceed with this operation.',
    'error-password'       => 'Password is incorrect.<br>If you forgot your password, please contact the Administrator (' . $GLOBALS['root_email'] . ').',
    'error-access-denied'  => 'I am sorry, but your Host/IP address is prohibited from accessing this website <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=access">(See details)</a>.',
    'error-access-proxy'  => 'Your Host/IP address is an open proxy, which are prohibited from accessing or posting. <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=proxy">(See details)</a>.',  
    'error-post-denied'    => 'I am sorry, but your Host/IP address is prohibited from posting to this thread <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=post">(See details)</a>.',
    'error-referrer'       => 'Please set your browser to send referrer.',
    
    // error (system related)
    'error-internal'       => 'Internal error (It is possibly a bug, sorry). ',
    'error-not-writable'   => ' is not writable.',
    'error-not-readable'   => ' is not readable.',    
    'error-session'        => 'Session error.',
    'error-locked'         => 'This operation is locked by another user.',
    'error-transfer-pday'       => 'You cannot download, because the total amount of files downloaded by you or all users has exceeded daily maximum.<br />Please wait until tomorrow (Japanese Standard Time) before trying again  <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See details)</a>.',
    'error-transfer-phr'       => 'You cannot download, because the total amount of files downloaded by you or all users has exceeded hourly maximum.<br />Please try again after the hour changes (:00) <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See details)</a>.',
    'error-transfer-p5m'       => 'You cannot download, because the total amount of files downloaded by you or all uses has exceeded 5-minute maximum.<br />Please try again after a little while <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See details)</a>.',
    'error-db-connect'       => 'Could not connect to DB/DB server.',
    
    'max-length' => 'Max length [bytes] : ',
    'max-size' => 'Max size [kB] : ',
    'char-digit'    => 'You can use only numeric characters.',
    'char-unlimited' => 'You can use any kind of character.',
    'char-en' => 'You can use alphanumeric (ASCII) characters, including _ (underscore) and - (hyphen)',
    'char-email' => 'You can use alphanumeric (ASCII) characters, and these four ( <b>@ _ - .</b> )  ',
    'char-html-ng' => 'You cannot use these four (<b>&amp; &lt; &gt; &quot;</b>) ',
    'not-changeable' => ' cannot be changed.',
    'require-same-password' => 'Please enter the same password as above.',
    'app-tmp' => array('Temporary release', 'The temporary access will be valid for ' .  'hours before being automatically rescinded'),
  'dummy'      => 'AAHHHHH');

$GLOBALS['message']['language'] = array(
  'Language Settings',
  'Display language is set to ' . $GLOBALS['support_languages'][$GLOBALS['lang']],
  );

$GLOBALS['message']['timezone'] = array(
  'Timezone Settings',
  'Timezone is set to ',
  'Current Timezone Setting ',
  'Timezone will be set to ',
  );

$GLOBALS['message']['textmode'] = array(
  'Text mode', 'Plain (HTML tags not usable)',
 'Medium (automatic newline)','HTML (manual newline)',
 'These are the available tags');

$GLOBALS['message']['flow_mode'] = array(
    0=>array('Floating','Floating','Threads "rise" to the top when you post in them, unless you put &quot;sage&quot; in the E-mail field'),
    1=>array('Incognito','Incognito','Thread goes to the top only if you put &quot;age&quot; in the E-mail field'),
    2=>array('Submerged','Submerged','Thread never goes to the top.'),
    );

$GLOBALS['message']['op-article'] = array(
    'fix'=>array('Modify',"<br />To modify articles, the <b>password that you posted with</b> is needed. You cannot use the thread owner's password."),
    'delete'=>array('Delete','<br />To delete articles, the <b>administrator, poster or thread owner password</b> is required.<br /> With the administrator password + "x", the article can be completely deleted.'),
    'error-first' => 'The first message cannot be deleted or modified.',
    'error-fix-deleted' => 'Cannot modify article which was once deleted.',
    'error-range' => 'The specified offset is out of range.',
    'posted'  => 'Article posted.',
    'error-url'=> "Too many URLs.",    
  );

$GLOBALS['message']['op-file'] = array(
    'fixinfo'=>array('Change Info', 'Change the file name, title, genre tags, and browing-restriction tags of the selected file.'),
    'delete'=>array('Delete', 'Delete the selected file.'),
    'edit'=>array('Edit', 'Edit the selected text file on your browser. (Max  ' . $GLOBALS['maxsize_file_edit'] . ' [kB])',
                  'When submitting, since generating a <b>session</b> error is a possibility, you should make any changes <b>on your computer</b> and then cut and paste them into the file.<br />' ),
    'thread'=>array('Create Thread', 'Creates a new thread related to the selected file.'),
    'bind_folder' =>array('Associate Folder/Cancel', 'Associates the selected file to a folder. Also associates related thread to that same folder. Leaving the field blank will remove association.'),
    'bind_user'=>array('Associate User', 'Associates selected file to a specified user. (Gives them ownership)'),
    'create'=>array('Create','Create File', 'Create new text file by browser. File extension will be <b>.htm</b>, e.g. Filename.htm'),
    'upload'=>array('Upload','Upload File', 
    					  'Overwrite if the same file exists.',
                    'Alternate User Account', 'The file has been uploaded.',
                    'Apply the following settings to all of the uploaded files.',
                    'Leave user\'s modified date as is.'),
  'like'        => array('Like!', '&quot;Like!&quot; posted.', 'You cannot post &quot;Like!&quot; to the same file more than once a day.'),
  'deal-anonymous'=>'Manage anonymously.',
    'error-binary' => 'You cannot edit the binary file',
    'error-ms04-028' => 'This jpeg image contains a Windows exploit code (MS04-028).',
    'error-filetype' => 'Cannot distinguish the file type, or the upload is of an unauthorized file type. You can only upload ' . $GLOBALS['allowed_ftype'] . ' files',
    'error-totalsize' => 'Since it will exceed the total file-size limit of all users (' . $GLOBALS['maxsize_file_all'] . ' [MB]), the file cannot be uploaded.',
    'error-quota' => 'Since it will exceed the file-size maximum per user (' . $GLOBALS['maxsize_file_quota'] . ' [MB/user]), the file cannot be uploaded.',
    'error-upload-pday' => 'Since it will exceed the maximum total size of files that all users can upload within a day (' . $GLOBALS['maxsize_file_update_pday'] . ' [kB/24hour]), the file cannot be uploaded. <br />Please wait a while before trying again <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">(See details)</a>.',
    'error-upload-puser-pday' => 'Since it will exceed the maximum total size of files that can be uploaded within a day per user (' . $GLOBALS['maxsize_file_update_puser_pday'] . ' [kB/24hour/user]), the file cannot be uploaded. <br />Please wait a while before trying again <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">(See details)</a>.',


    'time-remain'=>'Do not affect modified date. (Will not be affected if the change in size is less than ' . $GLOBALS['minsize_file_update'] . ' bytes.)',
    'notification-ext'=> 'The file extension cannot be changed.',  
    'notification-upload'=>
"Allowed File Types: {$GLOBALS['allowed_ftype']} (The file extension will automatically be attached).
<br / >File size must be less than {$GLOBALS['image_maxW_thumbnail']} x  
{$GLOBALS['image_maxH_thumbnail']} pixels in order for a thumbnail to be attached.
<br>To avoid download overload, please do not put files on display <b>for a limited time</b> or <b>upload a huge amount within a short time period</b> (more than 20MB at once)."
  );

$GLOBALS['message']['op-thread'] = array(
    'stop'=>array('Stop', 'Send the selected thread down to the old logs.'),
    'recall' =>array('Restore', 'Restore the selected back to current logs.'),
    'fixinfo'=>array('Change Information', 'Change the flow (Ranking display) mode, genre tags, and browsing-restriction tags of the selected thread.'),
    'bind_file' =>array('Associate File/Cancel', 'Associates the selected thread to a file and changes the folder.<br />Leaving the field blank will remove the association, but the folder will not change.'),      
    'bind_folder' =>array('Associate Folder/Cancel', 'Associates the selected thread to a folder. Leaving the field blank will remove the association.'),  
	 'bind_user'=>array('Associate User', 'Associates user to selected thread. (Gives them ownership)'),    
    'delete'=>array('Delete','Delete the selected thread (Also will not be left in old-logs)'),
  'create'=>array('Create','Create new thread.'),
  'link'   => '-related thread will be created.',
    'flow-mode' => 'Flow Mode',
    'view'  =>array('Browse', 'Browse host and cookie information of every article'),
  'error-exceed' => "Cannot post because this thread exceeds the post limit: {$GLOBALS['bbs_article_max']} articles, or {$GLOBALS['maxsize_thread']} [kB].",
    'warn-exceed' => "This thread is close to exceeding the post limit: {$GLOBALS['bbs_article_max']} articles, or {$GLOBALS['maxsize_thread']} [kB].",
    'auto-link' => 'Subordinates a folder to a file. The folder and file-related threads will automatically become a user-related thread.',
    'no-link' => array('Create as a nameless thread.',
                       'If you want to create a user-related thread, <b>you need to <a href="upld-op-user-login.php">login</a></b>.<br />'),
    'old-log' => array('Old Log', ' is an old log'),
    'notification-create'=>"<p><b><a href=\"upld-index-admin.php?mode=thread&uid_login={$GLOBALS['anonymous_user_id']}\">Create New Thread</a><br />
Note: Only a general thread is made by this link. To create a user-related thread, you need to <a href=\"upld-op-user-login.php\">login</a>.</b></p>",
    'notification-title'=>'Please do not use "Hello" as a thread title.',
    'warn-obsoleted'    =>'This thread is already an old log.',
    'warn-current'    =>'This thread is already a current log.',
    'error-thread-max' => 'The maximum number of threads (' . $GLOBALS['bbs_thread_max'] . ') has been exceeded.',
    );

$GLOBALS['message']['op-user'] = array(
  'fixintro'  =>array('Introduction', 'Edit the introduction message displayed on the user page.'),
  'delete' =>array('Delete', 'Delete selected user'),
  'deactivate'=>array('Deactivate', 'Deactivate selected user. User will be deleted if they have no threads (including old ones).'),
  'activate'=>array('Activate','Activates deactivated user.'),
  'move'=>array('Migrate', 'Transfers all files and threads of the designated user to another user.'),
  'fixpass' =>array('Change Password', 'Change selected user\'s password.'),
  'readjust'=>array('Liquidate','Delete/Deactivate unused users in a batch.'),  
  'rcvmail'=>array('Change Receive E-mail Setting','Change whether the selected user receives email (Can change even if they have an unspecified email address).'),
  'fixinfo'=>array('Change Information', 'Change the user\'s information.', 'Edit'),
  'dispconfig'=>array('Display Configuration', 'Download Counter','&quot;Like&quot; button'),  
  'login'=>array('You do not need to login anonymously', ', Welcome.', 'Admin Menu'),
  'create'=>array('Create'),
  'continue'=>array('Continue configuring', ', Welcome!'),
  'fixcolor'=>array('Change Color Setting','Change the background color of page','Preview','Background',
                 'Revert to previous color scheme', 'Revert to system default',
                 'Leave it to the browser', 'Please "change" after previewing'),
  );

$GLOBALS['message']['op-restriction'] = array(
    'release'   => 'Access browsing-restricted contents',
    'changed'   => 'Access settings for browsing-restricted contents have been changed.</p>',
    'denied-host'  => 'You are not allowed to access browsing-restricted contents <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">(See details)</a>.',
    'denied-tag'   => 'These browsing-restricted contents. You need to configure your access settings at <a href="' . $GLOBALS['http_dir_top'] . '/upld-index.php">the top page</a> to browse further. <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">(See details)</a>.',
    'denied-change' => 'You are not allowed to change your access settings for browsing-restricted contents.',
    'warn-tag'   => "You are going to access a browsing-restricted file.\n",
    'notification-psp' => 'Download started. Please view the contents through the link below.',
);


$GLOBALS['message']['op-folder'] = array(
  'fixinfo'=>array('Change Information', 'Change name and title of the selected folder.'),
  'delete'=>array('Delete', 'Delete selected folder.'),
  'thread'=>array('Create Thread', 'Creates new thread associated to the selected folder.'),
  'create'=>array('Create', 'Create new folder.'),
  'bind_user'=>array('Associate User', 'Associates selected folder to designated user (Changes ownership).'),
  'bind_group'=>array('Associate Group', 'Associates selected folder to designated group (Gives ownership). Leave it blank to remove.'),  
  );


$GLOBALS['message']['op-admin']['top'] =<<<EOF
<p><b>Please select management tasks.</b></p>
EOF;

$GLOBALS['message']['op-admin']['bottom'] =<<<EOF
<tr>
 <td valign="top">Dispatch Administrator &nbsp; </td>
 <td>Please ask the administrator to do any of following tasks by emailing to ({$GLOBALS['root_email']}).</td>
</tr>
<tr>
 <td> </td>
<td> 
Change ownership of file.<br />
Change ownership of thread.<br />
Transfer all contents to another account.<br />
Delete thread completely (Even the old threads)<br />
Restore thread from old logs.<br />
Delete user account.<br />
Deactivate user account. (Leave threads as old）<br />
</td></tr>
EOF;

$GLOBALS['message']['op-admin']['deactivated'] =<<<EOF
<p>Since your account is currently deactivated, you cannot do any management operations.
<br>In order to manage files and threads, you need to reactivate your account.
<br>Please ask the administrator by sending an e-mail to ({$GLOBALS['root_email']}).</p>
EOF;

?>
